Package org.springframework.core.io.buffer

# Interface DataBuffer.ByteProcessor

Enclosing interface:
  DataBuffer

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface DataBuffer.ByteProcessor
Process a range of bytes one by one.

Since:
  6.2.12

## Method Summary

Modifier and Type
Method
Description
`boolean`
`process(byte b)`
Process the given `byte` and indicate whether processing should continue further.

## Method Details

### process

boolean process(byte b)
Process the given `byte` and indicate whether processing should continue further.

Parameters:
  `b` - a byte from the `DataBuffer`
Returns:
  `true` if processing should continue, or `false` if processing should stop at this element